#import <appkit/appkit.h>

@class MP3List;

@interface MP3ListManager : Object {
    id panel;
    id browser;

    BOOL isRepeat;
    BOOL isShuffle;
    MP3List *fileList;
    MP3List *playList;
    unsigned int currentIndex;
}

- (BOOL)isRepeat;
- isRepeat:(BOOL)yesNo;

- (BOOL)isShuffle;
- isShuffle:(BOOL)yesNo;

- reset;
- previous;
- next;
- follow;

- currentFile; // return MP3Info instance object.

- (BOOL)loadMP3List:(const char *)filename;
- (BOOL)addMP3Files:(char *)filenames;

- open:sender;
- save:sender;
- saveAs:sender;
- addFile:sender;
- removeFile:sender;
- selectAll:sender;
- playSelection:sender;

// by hrjun 06.03
- moveList:sender;

- showPanel;
- hidePanel;

- movePanelTopLeftTo:(NXCoord)x :(NXCoord)y;

@end
